require_relative 'state_store'
require 'tmpdir'

describe Rack::State::Store::File do

  before do
    @dir = Dir.mktmpdir
    @store = Rack::State::Store::File.new(@dir)
  end

  after do
    FileUtils.remove_dir @dir
  end

  behaves_like Rack::State::Store

  it 'creates and deletes token file when creating and deleting state' do
    @store.create(@token, @data)
    File.should.exist File.join(@dir, @token)
    @store.delete(@token)
    File.should.not.exist File.join(@dir, @token)
  end
end
